Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Canon MP140 на Ubuntu 11.04  (Прочитано 1443 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн onz

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Canon MP140 на Ubuntu 11.04
« : 28 Май 2011, 22:01:20 »
Может кто уже сталкивался с проблемой установки драйверов с оф. сайта для Canon MP140 на Ubuntu 11.04. :-\
У меня ничего толком не получается. :-[ Если можно, то обьясните как для делетанта в Linux, я впервые поставил и пытаюсь сам понять эту систему  ;)
« Последнее редактирование: 31 Май 2011, 20:22:39 от onz »

Оффлайн dymok

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Canon MP140 на Ubuntu 11.04
« Ответ #1 : 03 Сентябрь 2011, 14:20:58 »
Дело в зависимостях.
Цитировать
Установка программного обеспечения при помощи пакетной системы использует так называемые "зависимости", которые тщательно спроектированы мейнтейнерами пакета. Эти зависимости задокументированы в файле control, связанным с каждым пакетом. Например, пакет, содержащий компилятор GNU C (gcc) "зависит" от пакета binutils, который включает в себя компоновщик и транслятор. Если пользователь попытается установить gcc без предварительной установки binutils, система управления пакетами (dpkg) выведет сообщение об ошибке, что также необходима установка binutils, и прервет установку gcc.
 

В данном случае пакеты с драйверами требуют старых библиотек cups. Их работоспособность не пострадает, если просто убрать эти зависимости.
С официального сайта нужно скачать архив с драйверами упакованными для Debian (http://www.canon.ru/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MP_series/PIXMA_MP140.aspx?DLtcmuri=tcm:203-741215&page=1&type=download), распаковать. Зайти в папку с файлами cnijfilter-common_2.80-1_i386.deb и cnijfilter-mp140series_2.80-1_i386.deb из терминала.

Дальше выполнить:
dpkg -x cnijfilter-common_2.80-1_i386.deb common
dpkg --control cnijfilter-common_2.80-1_i386.deb
vim DEBIAN/control
удалить строку "Depends: libc (..." (навести курсор на эту строку и набрать 'dd', после чего ESC :x)
cp -a DEBIAN/ common/
dpkg -b common cnijfilter-common_2.80-1_i386.deb
dpkg --force-all -i cnijfilter-common_2.80-1_i386.deb
rm -rf common DEBIAN

После чего повторить то же самое для cnijfilter-mp140series_2.80-1_i386.deb.
При возникновении ошибки cups-insecure-filter нужно будеть изменить владельца всего в /usr/lib/cups/filter на root.
Должно сработать для 32 и 64 битных вариантов. Для нормальной работы сканера мне ничего устанавливать не понадобилось.
« Последнее редактирование: 03 Сентябрь 2011, 14:34:59 от dymok »

Оффлайн onz

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: Canon MP140 на Ubuntu 11.04
« Ответ #2 : 03 Сентябрь 2011, 18:15:18 »
Спасибо, буду сейчас пробовать, Предидущая попытка вроде бы дала успех, но он всё печатает только на А4, каккойбы формат бумаги не выбирал...

Оффлайн dymok

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Canon MP140 на Ubuntu 11.04
« Ответ #3 : 05 Сентябрь 2011, 18:59:21 »
Ещё есть страница (http://www.ubuntubuzz.com/2011/06/download-install-canon-printer-driver.html) с перепакованными драйверами принтеров и МФУ Canon и репозиторием, в случае некоторых драйверов даже с несколькими вариантами для разных версий Ubuntu. В комментариях большая часть воспользовавшихся выражает довольство. У меня оттуда мало того, что не встало, так ещё перестал работать Центр приложений Ubuntu и не получалось удалить эти пакеты из терминала. В итоге Synaptic, поместив в список проблемных пакетов удалил его, причем почему-то не с первого раза.

С размером бумаги я не экспериментировал, но помню, что в какой то программе, из которой я успешно печатал на A4, при проверке настроек в дальнейшем оказался выбран Letter, так что очень вероятно, что дело в самых дровах, не в способе установки.

Оффлайн onz

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: Canon MP140 на Ubuntu 11.04
« Ответ #4 : 05 Сентябрь 2011, 22:29:42 »
Это так Canon-ы просто сотрудничают с "Мокрософтом" и потому такие дрова на оф. сайте для своего оборудования под Linux выдаёт. >:(

Оффлайн dymok

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Canon MP140 на Ubuntu 11.04
« Ответ #5 : 06 Сентябрь 2011, 01:22:08 »
коллаборационисты( а оборудование то хорошее, жалко, что такая политика

 

Страница сгенерирована за 0.113 секунд. Запросов: 25.